/*GLOBAL*/

* { box-sizing: border-box; }

html { scroll-behavior: smooth; }

/*CARD/CAROUSEL ATTRIBUTES*/

#slider-container { width: 100%; }

#slider-container h1 { text-align: center; }

#slider-parent {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

#viewport {
  width: 100%;
  overflow: hidden;
  padding: 24px 0;
  border-radius: 16px;
}

#slider {
  display: flex;
  margin-bottom: 12px;
  margin-right: 0;
  gap: 10px;
  transition: transform 0.7s ease-in-out;
}

.card {
  flex: 0 0 calc((100% - 20px) / 3);
  min-width: 0;
  padding: 15px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 16px;
  background: rgba(255, 255, 255, 0.54);
  display: flex;
  flex-direction: column;
  max-width: 42em;
  box-shadow: 0 4px 5px rgba(0, 0, 0, 0.1);
  position: relative;

  backdrop-filter: blur(7.1px);
  -webkit-backdrop-filter: blur(7.1px);
}

.card-content {
  width: 75%;
  margin-top: auto;
  align-self: flex-end;
}

.trunc-quote:hover { cursor: pointer; opacity: 0.75; text-decoration-color: black; }

#slider-container a {
    text-decoration: none;
    color: black;
}

#slider-container a:hover {
  cursor: pointer;
  background-color: black;
  color: #FFDE00;
  padding: 2px 8px;
}

.trunc-quote {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  
  line-clamp: 2;
  -webkit-line-clamp: 2;

  overflow: hidden;

  line-height: 22px;
  padding-bottom: 0;

  text-decoration: underline;
  text-decoration-color: transparent;

  transition: opacity 0.75s ease, text-decoration-color 0.75s ease;
}

.expand-quote { white-space: normal; }

.card p {
  text-align: right;
  margin: 0;
  padding: 0;
  white-space: normal;
  overflow-wrap: break-word;
}

.pName {
  padding-bottom: 12px !important;
  margin-bottom: 12px;
  font-weight: bold;
  font-style: italics;
  font-size: 18px;
  padding-top: 12px !important;
}

.card h2 {
  font-size: 16px;
  line-height: 22px;
  padding-left: 24px;
}

#sliderParent button {
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
  background-color: hsla(240, 100%, 50%, 0.25);
  border: none;
  border-radius: 5px;
}

#prev,
#next {
  background-color: #2A2828;
  color: #FFDE00;
  border: none;
  border-radius: 8px;
  padding: 8px 12px;
  font-size: 14px;
  font-weight: 800;

  transition: background-color 0.7s ease, color 0.7s ease;
}

#prev:hover,
#next:hover {
  background-color: #FFDE00;
  color: #2A2828;
}

#page-counter {
  text-align: center;
  font-size: 22px;
}

.visible { visibility: visible; }

#page-counter-parent {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  gap: 10px;
}

#all-testimonies {
  align-self: center;
  margin-top: 12px;
  margin-bottom: 8px;
}

.at-lnk {
  color: black;
  background-color: #FFDE00;
  border-radius: 8px;
  padding: 10px 8px;
  text-align: center;

  transition: background-color 0.7s ease, color 0.7s ease;
}

.at-lnk:hover {
  color: #FFDE00;
  background-color: black;
}

.name-badge {
  position: absolute;
  bottom: 16px;
  left: 12px;

  width: 56px;
  height: 56px;
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  background: rgb(0,0,0);
  color: #FFDE00;

  font-weight: bold;
  font-size: 18px;
  letter-spacing: 1px;
  pointer-events: none;
}

.contentTitle {
  padding-bottom: 2px;
}

.fa.fa-quote-left {
  font-size: 36px;
}

/* TESTIMONY PAGE */
#testimony-head {
    display: flex;
    align-items: flex-start;
    gap: 2rem;
    padding-top: 32px;
}

#testimony-content {
    flex: 1;
}

#testimony-banner {
    flex: 0 0 40%;
}

#testimony-banner img {
    width: 100%;
    height: auto;
    display: block;
}

#testimony-foot {
    display: flex;
    align-items: flex-start;
    gap: 24rem;
}

#tf-content {
    flex: 1;
}

#tfc-text p {
    margin: 0 .70rem .75rem;
}

#tfc-img {
    flex: 0 0 35%;
    padding-right: 8px;
}

#tfc-img img {
    width: 100%;
    height: auto;
    display: block;
}

/*ACCORDION ATTRIBUTES*/

.test-accordion {
  background-color: rgb(236, 236, 236);
  color: rgb(103, 103, 103);
  cursor: pointer;
  padding: 18px;
  width: 100%;
  text-align: left;
  border: 1px solid rgb(204, 204, 204);
  outline: none;
  transition: 0.4s;
  font-family: HelveticaRoman, sans-serif;
  font-size: 18px;
}

.test-accordion:after {
  content: '\02795\FE0E';
  font-size: 18px;
  color: rgb(103, 103, 103) !important;
  float: right;
  margin-left: 8px;
}

.isActive, .test-accordion:hover {
  background-color: rgb(0, 0, 0);
  color: #FFDE00;
}

.test-accordion.isActive:after {
  content: '\2796\FE0E';
  color: #FFDE00 !important;
}

.ra-container {
  padding: 0 18px;
  background-color: rgb(236, 236, 236);
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  margin-bottom: 18px;
}


/*TESTIMONY PAGE BUTTONS*/

#testimony-foot-btns {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.testBtn {
  display: block;
  width: 75%;
  font-family: HelveticaRoman, sans-serif;
  font-size: .9rem;
  line-height: 45px;
  padding: 15px 10px;
  background: #2A2828;
  color: #fff;
  border: 1px solid #000a13;
  border-radius: 5px;
  box-sizing: border-box;
  text-align: center;
  text-transform: uppercase;
  cursor: pointer;
  margin-top: 20px;
  text-decoration: none;
  margin-left: 8px;
  margin-right: 8px;
}

.testBtn:hover {
  color: black;
  background-color: #FFDE00;
}

#testimony-body {
  width: 96%;
  margin: auto;
}



/*GRID ATTRIBUTES*/

#grid-container {
  margin: 0;
  width: 100%;
  display: flex;
  align-content: center;
  justify-content: center;
  flex-direction: column;
}

#grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 18px;
  column-gap: 18px;
  grid-auto-rows: 1fr;
  justify-items: center;
}

#grid > .card {
  width: 100%;
  min-width: 0;
  border-radius: 8px;
  background: white;
  display: flex;
  flex-direction: column;
  max-width: 42em;
  margin-left: 10px;
  box-shadow: 5px 10px 5px #e4e3e3;
}

#testimony-foot > p { margin-left: 8px; }


/*MEDIA QUERIES*/
@media (max-width: 1330px) {
  #testimony-foot {
    gap: 0;
  }
}

@media (max-width: 1024px) {
  #grid { grid-template-columns: repeat(2, 1fr); }

  .card { flex: 0 0 calc((100% - 10px) / 2); }

  #testimony-foot {
    flex-direction: column-reverse;
    gap: .75rem;
  }

  .testBtn { margin: 12px auto; }

  #tf-content,
  #tfc-text,
  #tfc-img 
  { margin: auto; }
  
  #tfc-text { text-align: center; }

}

@media (max-width: 768px) {
  .card {
      flex: 0 0 100%;
      scroll-snap-align: center;
  }

  .trunc-quote {
    all: unset;
    font-size: 16px;
    padding-bottom: 8px;
    line-height: 22px;
  }

  .card-content p { font-size: 12px !important; }

  #viewport {
    width: 100%;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
  }

  #prev,
  #next {
    display: none;
  }

  #slider-parent > button { visibility: hidden; }

  #grid { grid-template-columns: 1fr; }

  #grid-container {
    width: 100%;
    margin: auto;
    padding-right: 12px;
  }

  #testimony-foot-btns{
    display: flex;
    flex-direction: column;
    justify-content: center !important;
    padding-right: 12px;
  }

  #testimony-foot-btns > .testBtn { width: 100%; }

  .testBtn { line-height: 20px; }

  .visible { visibility: hidden; }

  #grid .card h2 { font-size: 18px !important; }

  #testimony-head { flex-direction: column-reverse; padding-top: 19px;}
}